.tgb-group {
    border-bottom: 1px solid var(--border);
    display: flex;
    padding: 0.25rem;

    .tgb-container {
        flex: 1;
        text-align: center;
    }

    &.disable {
        opacity: 0.5;
    }
}

.tgb-container {
    .tgb-button {
        height: 1.5rem;
        width: 1.5rem;
        padding: 0.5rem;
        display: inline-block;
        cursor: pointer;

        .tgb-icon {
            height: 1.5rem;
            display: block;
            background-size: 1.5rem;
        }
    }

    .tgb-icon {
        &.tool-select {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgb(255, 255, 255)' d='M9.999 14.975l0 0.026 0.001 0c0,0.552 -0.448,1 -1,1 -0.135,0 -0.263,-0.027 -0.381,-0.075l0 0 -4.88 -1.867 -0.042 -0.018c-0.062,-0.028 -0.129,-0.041 -0.198,-0.041 -0.277,0 -0.5,0.224 -0.5,0.501 0,0.17 0.084,0.323 0.247,0.433l7.914 5.429 0.038 0.029c0.072,0.055 0.146,0.108 0.224,0.155l0.007 0.004c0.476,0.29 1.012,0.449 1.57,0.449l4.001 0c1.646,0 3,-1.354 3,-3l0 -7.5c0,-0.27 -0.23,-0.5 -0.5,-0.5 -0.269,0 -0.5,0.231 -0.5,0.5l0 0.5 -2 0 0 -1.5c0,-0.271 -0.229,-0.5 -0.5,-0.5 -0.27,0 -0.5,0.23 -0.5,0.5l0 1.5 -2 0 0 -2.5c0,-0.271 -0.229,-0.5 -0.5,-0.5 -0.271,0 -0.501,0.229 -0.501,0.5l0 2.5 -1.999 0 0 -8.5c0,-0.271 -0.229,-0.5 -0.5,-0.5 -0.272,0 -0.501,0.229 -0.501,0.5l0 12.475zm12.001 3.025c0,2.75 -2.25,5 -5,5l-4.001 0c-0.954,0 -1.849,-0.272 -2.61,-0.741l0 0 -0.007 -0.004c-0.135,-0.084 -0.266,-0.174 -0.393,-0.27l-7.874 -5.403c-0.673,-0.448 -1.116,-1.213 -1.116,-2.081 0,-1.381 1.12,-2.5 2.5,-2.5 0.355,0 0.692,0.073 0.998,0.206l3.503 1.341 0 -11.048c0,-1.375 1.124,-2.5 2.499,-2.5l0.001 0c1.374,0 2.499,1.125 2.499,2.5l0 3.551c0.162,-0.033 0.329,-0.051 0.501,-0.051l0 0c0.884,0 1.665,0.467 2.11,1.166 0.277,-0.107 0.577,-0.166 0.89,-0.166l0 0c0.883,0 1.666,0.467 2.111,1.166 0.276,-0.107 0.576,-0.166 0.889,-0.166l0 0c1.372,0 2.5,1.125 2.5,2.5l0 7.5z'/> </svg>");
        }

        &.tool-label {
            background-image: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" width="512px" height="512px" class=""><g transform="matrix(0.969523 0 0 0.969523 7.8021 7.8021)"><path d="m124.007812 186.214844h30v-26h86.992188v191.785156h-24.746094v30h79.492188v-30h-24.746094v-191.785156h86.992188v26h30v-56h-263.984376zm0 0" fill="rgb(255, 255, 255)"/><path d="m129 35.75h41.976562v30h-41.976562zm0 0" fill="rgb(255, 255, 255)"/><path d="m199.675781 35.75h41.976563v30h-41.976563zm0 0" fill="rgb(255, 255, 255)"/><path d="m270.347656 35.75h41.980469v30h-41.980469zm0 0" fill="rgb(255, 255, 255)"/><path d="m341.023438 35.75h41.976562v30h-41.976562zm0 0" fill="rgb(255, 255, 255)"/><path d="m129 446.25h41.976562v30h-41.976562zm0 0" fill="rgb(255, 255, 255)"/><path d="m199.675781 446.25h41.976563v30h-41.976563zm0 0" fill="rgb(255, 255, 255)"/><path d="m270.347656 446.25h41.980469v30h-41.980469zm0 0" fill="rgb(255, 255, 255)"/><path d="m341.023438 446.25h41.976562v30h-41.976562zm0 0" fill="rgb(255, 255, 255)"/><path d="m446.25 129h30v41.976562h-30zm0 0" fill="rgb(255, 255, 255)"/><path d="m446.25 199.675781h30v41.976563h-30zm0 0" fill="rgb(255, 255, 255)"/><path d="m446.25 270.347656h30v41.976563h-30zm0 0" fill="rgb(255, 255, 255)"/><path d="m446.25 341.023438h30v41.976562h-30zm0 0" fill="rgb(255, 255, 255)"/><path d="m35.75 129h30v41.976562h-30zm0 0" fill="rgb(255, 255, 255)"/><path d="m35.75 199.675781h30v41.976563h-30zm0 0" fill="rgb(255, 255, 255)"/><path d="m35.75 270.347656h30v41.976563h-30zm0 0" fill="rgb(255, 255, 255)"/><path d="m35.75 341.023438h30v41.976562h-30zm0 0" fill="rgb(255, 255, 255)"/><path d="m0 101.5h101.5v-101.5h-101.5zm30-71.5h41.5v41.5h-41.5zm0 0" fill="rgb(255, 255, 255)"/><path d="m410.5 0v101.5h101.5v-101.5zm71.5 71.5h-41.5v-41.5h41.5zm0 0" fill="rgb(255, 255, 255)"/><path d="m0 512h101.5v-101.5h-101.5zm30-71.5h41.5v41.5h-41.5zm0 0" fill="rgb(255, 255, 255)"/><path d="m410.5 512h101.5v-101.5h-101.5zm30-71.5h41.5v41.5h-41.5zm0 0" fill="rgb(255, 255, 255)"/></g> </svg>');
        }

        &.tool-add-marker {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgb(255, 255, 255)' d='M12 1c4.97,0 9,4.029 9,9 0,3.432 -1.922,6.415 -4.748,7.933 -1.719,0.918 -3.151,2.893 -3.77,4.704l0 0 -0.001 0c-0.06,0.209 -0.253,0.363 -0.481,0.363 -0.228,0 -0.421,-0.154 -0.481,-0.363l-0.001 0 0 0c-0.619,-1.811 -2.051,-3.786 -3.77,-4.704 -2.826,-1.518 -4.748,-4.501 -4.748,-7.933 0,-4.971 4.03,-9 9,-9zm0 6c1.657,0 3,1.344 3,3 0,1.657 -1.343,3.001 -3,3.001 -1.657,0 -3,-1.344 -3,-3.001 0,-1.656 1.343,-3 3,-3zm0 2c0.552,0 1,0.448 1,1 0,0.553 -0.448,1.001 -1,1.001 -0.552,0 -1,-0.448 -1,-1.001 0,-0.552 0.448,-1 1,-1zm0 10.234c0.882,-1.268 2.025,-2.376 3.307,-3.063 2.274,-1.219 3.693,-3.584 3.693,-6.171 0,-3.867 -3.133,-7 -7,-7 -3.867,0 -7,3.133 -7,7 0,2.587 1.419,4.952 3.693,6.171 1.282,0.687 2.425,1.795 3.307,3.063z'/> </svg>");
        }

        &.tool-add-line {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgb(255, 255, 255)' d='M9.99 15.242l3.828 1.701c0.547,-0.58 1.322,-0.942 2.182,-0.942 1.657,0 3,1.343 3,3 0,1.656 -1.343,2.999 -3,2.999 -1.656,0 -2.999,-1.343 -2.999,-2.999 0,-0.082 0.003,-0.162 0.009,-0.242l-3.827 -1.701c-0.547,0.58 -1.323,0.942 -2.183,0.942 -1.657,0 -3,-1.343 -3,-3 0,-1.412 0.977,-2.597 2.291,-2.915l0.437 -4.368c-1.021,-0.478 -1.728,-1.515 -1.728,-2.717 0,-1.657 1.343,-3 3,-3 1.657,0 3,1.343 3,3 0,1.413 -0.977,2.597 -2.292,2.915l-0.436 4.368c1.021,0.479 1.728,1.515 1.728,2.717 0,0.082 -0.003,0.162 -0.01,0.242zm6.01 2.759c0.553,0 1.001,0.447 1.001,1 0,0.552 -0.448,1 -1.001,1 -0.552,0 -1,-0.448 -1,-1 0,-0.553 0.448,-1 1,-1zm-9 -4.001c0.553,0 1,0.448 1,1 0,0.553 -0.447,1 -1,1 -0.552,0 -1,-0.447 -1,-1 0,-0.552 0.448,-1 1,-1zm1 -10c0.553,0 1,0.447 1,1 0,0.552 -0.447,1 -1,1 -0.552,0 -1,-0.448 -1,-1 0,-0.553 0.448,-1 1,-1z'/> </svg>");
        }

        &.tool-add-polygon {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgb(255, 255, 255)' d='M9.717 4.728l4.368 -0.437c0.318,-1.314 1.503,-2.291 2.916,-2.291 1.656,0 2.999,1.343 2.999,3 0,1.448 -1.026,2.657 -2.391,2.938l-1.252 9.387c0.975,0.495 1.643,1.507 1.643,2.676 0,1.656 -1.343,3 -3,3 -1.656,0 -2.999,-1.344 -2.999,-3 0,-0.082 0.003,-0.162 0.009,-0.242l-3.827 -1.701c-0.547,0.58 -1.323,0.942 -2.183,0.942 -1.657,0 -3,-1.343 -3,-3 0,-1.412 0.977,-2.597 2.291,-2.915l0.437 -4.368c-1.021,-0.478 -1.728,-1.515 -1.728,-2.717 0,-1.657 1.343,-3 3,-3 1.202,0 2.239,0.707 2.717,1.728zm-3.717 10.272c0.552,0 1,0.448 1,1 0,0.553 -0.448,1.001 -1,1.001 -0.552,0 -1,-0.448 -1,-1.001 0,-0.552 0.448,-1 1,-1zm9 4.001c0.553,0 1,0.447 1,1 0,0.552 -0.447,1 -1,1 -0.552,0 -1,-0.448 -1,-1 0,-0.553 0.448,-1 1,-1zm-8 -14.001c0.553,0 1,0.448 1,1 0,0.552 -0.447,1 -1,1 -0.552,0 -1,-0.448 -1,-1 0,-0.552 0.448,-1 1,-1zm0.272 8.283c1.021,0.479 1.728,1.515 1.728,2.717 0,0.082 -0.003,0.162 -0.01,0.242l3.827 1.701c0.415,-0.44 0.961,-0.754 1.575,-0.88l1.252 -9.387c-0.596,-0.302 -1.077,-0.798 -1.361,-1.404l-4.368 0.436c-0.263,1.088 -1.119,1.944 -2.207,2.207l-0.436 4.368zm9.729 -9.283c0.552,0 1,0.447 1,1 0,0.552 -0.448,1 -1,1 -0.553,0 -1.001,-0.448 -1.001,-1 0,-0.553 0.448,-1 1.001,-1z'/> </svg>");
        }

        &.tool-add-direction {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg aria-hidden='true' focusable='false' data-prefix='fas' data-icon='directions' class='svg-inline--fa fa-directions fa-w-16' role='img' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'><path fill='rgb(255, 255, 255)' d='M502.61 233.32L278.68 9.39c-12.52-12.52-32.83-12.52-45.36 0L9.39 233.32c-12.52 12.53-12.52 32.83 0 45.36l223.93 223.93c12.52 12.53 32.83 12.53 45.36 0l223.93-223.93c12.52-12.53 12.52-32.83 0-45.36zm-100.98 12.56l-84.21 77.73c-5.12 4.73-13.43 1.1-13.43-5.88V264h-96v64c0 4.42-3.58 8-8 8h-32c-4.42 0-8-3.58-8-8v-80c0-17.67 14.33-32 32-32h112v-53.73c0-6.97 8.3-10.61 13.43-5.88l84.21 77.73c3.43 3.17 3.43 8.59 0 11.76z'></path></svg>");
        }
    }

    &.active .tgb-icon {
        &.tool-select {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgb(69, 148, 239)' d='M22.001 11.001l0 -0.001c0,-1.098 -0.902,-2 -2,-2 -0.243,0 -0.483,0.045 -0.709,0.132l-0.382 0.148 -0.22 -0.346c-0.367,-0.577 -1.002,-0.934 -1.689,-0.934 -0.243,0 -0.483,0.045 -0.71,0.132l-0.381 0.147 -0.22 -0.345c-0.368,-0.577 -1.002,-0.934 -1.689,-0.934 -0.134,0 -0.268,0.014 -0.4,0.041l-0.6 0.123 0 -5.164c0,-1.099 -0.902,-2 -2,-2 -1.1,0 -2.001,0.901 -2.001,2l0 12.775 -4.202 -1.609c-0.252,-0.11 -0.523,-0.165 -0.798,-0.165 -1.104,0 -2,0.895 -2,2 0,0.672 0.335,1.294 0.898,1.67l7.894 5.416c0.113,0.086 0.23,0.168 0.351,0.241l0.007 0.004c0.711,0.433 1.517,0.669 2.35,0.669 1.167,0 2.335,0 3.502,0 2.749,0 4.999,-2.25 4.999,-5l0 -7z'/> </svg>");
        }

        &.tool-label {
            background-image: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" width="512px" height="512px" class=""><g transform="matrix(0.969523 0 0 0.969523 7.8021 7.8021)"><path d="m124.007812 186.214844h30v-26h86.992188v191.785156h-24.746094v30h79.492188v-30h-24.746094v-191.785156h86.992188v26h30v-56h-263.984376zm0 0" fill="rgb(69, 148, 239)"/><path d="m129 35.75h41.976562v30h-41.976562zm0 0" fill="rgb(69, 148, 239)"/><path d="m199.675781 35.75h41.976563v30h-41.976563zm0 0" fill="rgb(69, 148, 239)"/><path d="m270.347656 35.75h41.980469v30h-41.980469zm0 0" fill="rgb(69, 148, 239)"/><path d="m341.023438 35.75h41.976562v30h-41.976562zm0 0" fill="rgb(69, 148, 239)"/><path d="m129 446.25h41.976562v30h-41.976562zm0 0" fill="rgb(69, 148, 239)"/><path d="m199.675781 446.25h41.976563v30h-41.976563zm0 0" fill="rgb(69, 148, 239)"/><path d="m270.347656 446.25h41.980469v30h-41.980469zm0 0" fill="rgb(69, 148, 239)"/><path d="m341.023438 446.25h41.976562v30h-41.976562zm0 0" fill="rgb(69, 148, 239)"/><path d="m446.25 129h30v41.976562h-30zm0 0" fill="rgb(69, 148, 239)"/><path d="m446.25 199.675781h30v41.976563h-30zm0 0" fill="rgb(69, 148, 239)"/><path d="m446.25 270.347656h30v41.976563h-30zm0 0" fill="rgb(69, 148, 239)"/><path d="m446.25 341.023438h30v41.976562h-30zm0 0" fill="rgb(69, 148, 239)"/><path d="m35.75 129h30v41.976562h-30zm0 0" fill="rgb(69, 148, 239)"/><path d="m35.75 199.675781h30v41.976563h-30zm0 0" fill="rgb(69, 148, 239)"/><path d="m35.75 270.347656h30v41.976563h-30zm0 0" fill="rgb(69, 148, 239)"/><path d="m35.75 341.023438h30v41.976562h-30zm0 0" fill="rgb(69, 148, 239)"/><path d="m0 101.5h101.5v-101.5h-101.5zm30-71.5h41.5v41.5h-41.5zm0 0" fill="rgb(69, 148, 239)"/><path d="m410.5 0v101.5h101.5v-101.5zm71.5 71.5h-41.5v-41.5h41.5zm0 0" fill="rgb(69, 148, 239)"/><path d="m0 512h101.5v-101.5h-101.5zm30-71.5h41.5v41.5h-41.5zm0 0" fill="rgb(69, 148, 239)"/><path d="m410.5 512h101.5v-101.5h-101.5zm30-71.5h41.5v41.5h-41.5zm0 0" fill="rgb(69, 148, 239)"/></g> </svg>');
        }

        &.tool-add-marker {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgb(69, 148, 239)' d='M12 1c4.97,0 9,4.029 9,9 0,3.432 -1.922,6.415 -4.748,7.933 -1.719,0.918 -3.151,2.893 -3.77,4.704l0 0 -0.001 0c-0.06,0.209 -0.253,0.363 -0.481,0.363 -0.228,0 -0.421,-0.154 -0.481,-0.363l-0.001 0 0 0c-0.619,-1.811 -2.051,-3.786 -3.77,-4.704 -2.826,-1.518 -4.748,-4.501 -4.748,-7.933 0,-4.971 4.03,-9 9,-9zm0 6c1.657,0 3,1.344 3,3 0,1.657 -1.343,3.001 -3,3.001 -1.657,0 -3,-1.344 -3,-3.001 0,-1.656 1.343,-3 3,-3z'/> </svg>");
        }

        &.tool-add-line {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgb(69, 148, 239)' d='M9.99 15.242l3.828 1.701c0.547,-0.58 1.322,-0.942 2.182,-0.942 1.657,0 3,1.343 3,3 0,1.656 -1.343,2.999 -3,2.999 -1.656,0 -2.999,-1.343 -2.999,-2.999 0,-0.082 0.003,-0.162 0.009,-0.242l-3.827 -1.701c-0.547,0.58 -1.323,0.942 -2.183,0.942 -1.657,0 -3,-1.343 -3,-3 0,-1.412 0.977,-2.597 2.291,-2.915l0.437 -4.368c-1.021,-0.478 -1.728,-1.515 -1.728,-2.717 0,-1.657 1.343,-3 3,-3 1.657,0 3,1.343 3,3 0,1.413 -0.977,2.597 -2.292,2.915l-0.436 4.368c1.021,0.479 1.728,1.515 1.728,2.717 0,0.082 -0.003,0.162 -0.01,0.242zm6.01 2.759c0.553,0 1.001,0.447 1.001,1 0,0.552 -0.448,1 -1.001,1 -0.552,0 -1,-0.448 -1,-1 0,-0.553 0.448,-1 1,-1zm-9 -4.001c0.553,0 1,0.448 1,1 0,0.553 -0.447,1 -1,1 -0.552,0 -1,-0.447 -1,-1 0,-0.552 0.448,-1 1,-1zm1 -10c0.553,0 1,0.447 1,1 0,0.552 -0.447,1 -1,1 -0.552,0 -1,-0.448 -1,-1 0,-0.553 0.448,-1 1,-1z'/> </svg>");
        }

        &.tool-add-polygon {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgb(69, 148, 239)' d='M9.717 4.728l4.368 -0.437c0.318,-1.314 1.503,-2.291 2.916,-2.291 1.656,0 2.999,1.343 2.999,3 0,1.448 -1.026,2.657 -2.391,2.938l-1.252 9.387c0.975,0.495 1.643,1.507 1.643,2.676 0,1.656 -1.343,3 -3,3 -1.656,0 -2.999,-1.344 -2.999,-3 0,-0.082 0.003,-0.162 0.009,-0.242l-3.827 -1.701c-0.547,0.58 -1.323,0.942 -2.183,0.942 -1.657,0 -3,-1.343 -3,-3 0,-1.412 0.977,-2.597 2.291,-2.915l0.437 -4.368c-1.021,-0.478 -1.728,-1.515 -1.728,-2.717 0,-1.657 1.343,-3 3,-3 1.202,0 2.239,0.707 2.717,1.728zm-3.717 10.272c0.552,0 1,0.448 1,1 0,0.553 -0.448,1.001 -1,1.001 -0.552,0 -1,-0.448 -1,-1.001 0,-0.552 0.448,-1 1,-1zm9 4.001c0.553,0 1,0.447 1,1 0,0.552 -0.447,1 -1,1 -0.552,0 -1,-0.448 -1,-1 0,-0.553 0.448,-1 1,-1zm-8 -14.001c0.553,0 1,0.448 1,1 0,0.552 -0.447,1 -1,1 -0.552,0 -1,-0.448 -1,-1 0,-0.552 0.448,-1 1,-1zm0.272 8.283c1.021,0.479 1.728,1.515 1.728,2.717 0,0.082 -0.003,0.162 -0.01,0.242l3.827 1.701c0.415,-0.44 0.961,-0.754 1.575,-0.88l1.252 -9.387c-0.596,-0.302 -1.077,-0.798 -1.361,-1.404l-4.368 0.436c-0.263,1.088 -1.119,1.944 -2.207,2.207l-0.436 4.368zm9.729 -9.283c0.552,0 1,0.447 1,1 0,0.552 -0.448,1 -1,1 -0.553,0 -1.001,-0.448 -1.001,-1 0,-0.553 0.448,-1 1.001,-1z'/> </svg>");
        }

        &.tool-add-direction {
            background-image: url("data:image/svg+xml;charset=utf-8,<svg aria-hidden='true' focusable='false' data-prefix='fas' data-icon='directions' class='svg-inline--fa fa-directions fa-w-16' role='img' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'><path fill='rgb(69, 148, 239)' d='M502.61 233.32L278.68 9.39c-12.52-12.52-32.83-12.52-45.36 0L9.39 233.32c-12.52 12.53-12.52 32.83 0 45.36l223.93 223.93c12.52 12.53 32.83 12.53 45.36 0l223.93-223.93c12.52-12.53 12.52-32.83 0-45.36zm-100.98 12.56l-84.21 77.73c-5.12 4.73-13.43 1.1-13.43-5.88V264h-96v64c0 4.42-3.58 8-8 8h-32c-4.42 0-8-3.58-8-8v-80c0-17.67 14.33-32 32-32h112v-53.73c0-6.97 8.3-10.61 13.43-5.88l84.21 77.73c3.43 3.17 3.43 8.59 0 11.76z'></path></svg>");
        }
    }
    //&.disabled .tgb-icon {
    //    &.tool-select {
    //        background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgb(80, 80, 80)' d='M9.999 14.975l0 0.026 0.001 0c0,0.552 -0.448,1 -1,1 -0.135,0 -0.263,-0.027 -0.381,-0.075l0 0 -4.88 -1.867 -0.042 -0.018c-0.062,-0.028 -0.129,-0.041 -0.198,-0.041 -0.277,0 -0.5,0.224 -0.5,0.501 0,0.17 0.084,0.323 0.247,0.433l7.914 5.429 0.038 0.029c0.072,0.055 0.146,0.108 0.224,0.155l0.007 0.004c0.476,0.29 1.012,0.449 1.57,0.449l4.001 0c1.646,0 3,-1.354 3,-3l0 -7.5c0,-0.27 -0.23,-0.5 -0.5,-0.5 -0.269,0 -0.5,0.231 -0.5,0.5l0 0.5 -2 0 0 -1.5c0,-0.271 -0.229,-0.5 -0.5,-0.5 -0.27,0 -0.5,0.23 -0.5,0.5l0 1.5 -2 0 0 -2.5c0,-0.271 -0.229,-0.5 -0.5,-0.5 -0.271,0 -0.501,0.229 -0.501,0.5l0 2.5 -1.999 0 0 -8.5c0,-0.271 -0.229,-0.5 -0.5,-0.5 -0.272,0 -0.501,0.229 -0.501,0.5l0 12.475zm12.001 3.025c0,2.75 -2.25,5 -5,5l-4.001 0c-0.954,0 -1.849,-0.272 -2.61,-0.741l0 0 -0.007 -0.004c-0.135,-0.084 -0.266,-0.174 -0.393,-0.27l-7.874 -5.403c-0.673,-0.448 -1.116,-1.213 -1.116,-2.081 0,-1.381 1.12,-2.5 2.5,-2.5 0.355,0 0.692,0.073 0.998,0.206l3.503 1.341 0 -11.048c0,-1.375 1.124,-2.5 2.499,-2.5l0.001 0c1.374,0 2.499,1.125 2.499,2.5l0 3.551c0.162,-0.033 0.329,-0.051 0.501,-0.051l0 0c0.884,0 1.665,0.467 2.11,1.166 0.277,-0.107 0.577,-0.166 0.89,-0.166l0 0c0.883,0 1.666,0.467 2.111,1.166 0.276,-0.107 0.576,-0.166 0.889,-0.166l0 0c1.372,0 2.5,1.125 2.5,2.5l0 7.5z'/> </svg>");
    //    }
    //
    //    &.tool-label {
    //        background-image: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" width="512px" height="512px" class=""><g transform="matrix(0.969523 0 0 0.969523 7.8021 7.8021)"><path d="m124.007812 186.214844h30v-26h86.992188v191.785156h-24.746094v30h79.492188v-30h-24.746094v-191.785156h86.992188v26h30v-56h-263.984376zm0 0" fill="rgb(80, 80, 80)"/><path d="m129 35.75h41.976562v30h-41.976562zm0 0" fill="rgb(80, 80, 80)"/><path d="m199.675781 35.75h41.976563v30h-41.976563zm0 0" fill="rgb(80, 80, 80)"/><path d="m270.347656 35.75h41.980469v30h-41.980469zm0 0" fill="rgb(80, 80, 80)"/><path d="m341.023438 35.75h41.976562v30h-41.976562zm0 0" fill="rgb(80, 80, 80)"/><path d="m129 446.25h41.976562v30h-41.976562zm0 0" fill="rgb(80, 80, 80)"/><path d="m199.675781 446.25h41.976563v30h-41.976563zm0 0" fill="rgb(80, 80, 80)"/><path d="m270.347656 446.25h41.980469v30h-41.980469zm0 0" fill="rgb(80, 80, 80)"/><path d="m341.023438 446.25h41.976562v30h-41.976562zm0 0" fill="rgb(80, 80, 80)"/><path d="m446.25 129h30v41.976562h-30zm0 0" fill="rgb(80, 80, 80)"/><path d="m446.25 199.675781h30v41.976563h-30zm0 0" fill="rgb(80, 80, 80)"/><path d="m446.25 270.347656h30v41.976563h-30zm0 0" fill="rgb(80, 80, 80)"/><path d="m446.25 341.023438h30v41.976562h-30zm0 0" fill="rgb(80, 80, 80)"/><path d="m35.75 129h30v41.976562h-30zm0 0" fill="rgb(80, 80, 80)"/><path d="m35.75 199.675781h30v41.976563h-30zm0 0" fill="rgb(80, 80, 80)"/><path d="m35.75 270.347656h30v41.976563h-30zm0 0" fill="rgb(80, 80, 80)"/><path d="m35.75 341.023438h30v41.976562h-30zm0 0" fill="rgb(80, 80, 80)"/><path d="m0 101.5h101.5v-101.5h-101.5zm30-71.5h41.5v41.5h-41.5zm0 0" fill="rgb(80, 80, 80)"/><path d="m410.5 0v101.5h101.5v-101.5zm71.5 71.5h-41.5v-41.5h41.5zm0 0" fill="rgb(80, 80, 80)"/><path d="m0 512h101.5v-101.5h-101.5zm30-71.5h41.5v41.5h-41.5zm0 0" fill="rgb(80, 80, 80)"/><path d="m410.5 512h101.5v-101.5h-101.5zm30-71.5h41.5v41.5h-41.5zm0 0" fill="rgb(80, 80, 80)"/></g> </svg>');
    //    }
    //
    //    &.tool-add-marker {
    //        background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgb(80, 80, 80)' d='M12 1c4.97,0 9,4.029 9,9 0,3.432 -1.922,6.415 -4.748,7.933 -1.719,0.918 -3.151,2.893 -3.77,4.704l0 0 -0.001 0c-0.06,0.209 -0.253,0.363 -0.481,0.363 -0.228,0 -0.421,-0.154 -0.481,-0.363l-0.001 0 0 0c-0.619,-1.811 -2.051,-3.786 -3.77,-4.704 -2.826,-1.518 -4.748,-4.501 -4.748,-7.933 0,-4.971 4.03,-9 9,-9zm0 6c1.657,0 3,1.344 3,3 0,1.657 -1.343,3.001 -3,3.001 -1.657,0 -3,-1.344 -3,-3.001 0,-1.656 1.343,-3 3,-3zm0 2c0.552,0 1,0.448 1,1 0,0.553 -0.448,1.001 -1,1.001 -0.552,0 -1,-0.448 -1,-1.001 0,-0.552 0.448,-1 1,-1zm0 10.234c0.882,-1.268 2.025,-2.376 3.307,-3.063 2.274,-1.219 3.693,-3.584 3.693,-6.171 0,-3.867 -3.133,-7 -7,-7 -3.867,0 -7,3.133 -7,7 0,2.587 1.419,4.952 3.693,6.171 1.282,0.687 2.425,1.795 3.307,3.063z'/> </svg>");
    //    }
    //
    //    &.tool-add-line {
    //        background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgb(80, 80, 80)' d='M9.99 15.242l3.828 1.701c0.547,-0.58 1.322,-0.942 2.182,-0.942 1.657,0 3,1.343 3,3 0,1.656 -1.343,2.999 -3,2.999 -1.656,0 -2.999,-1.343 -2.999,-2.999 0,-0.082 0.003,-0.162 0.009,-0.242l-3.827 -1.701c-0.547,0.58 -1.323,0.942 -2.183,0.942 -1.657,0 -3,-1.343 -3,-3 0,-1.412 0.977,-2.597 2.291,-2.915l0.437 -4.368c-1.021,-0.478 -1.728,-1.515 -1.728,-2.717 0,-1.657 1.343,-3 3,-3 1.657,0 3,1.343 3,3 0,1.413 -0.977,2.597 -2.292,2.915l-0.436 4.368c1.021,0.479 1.728,1.515 1.728,2.717 0,0.082 -0.003,0.162 -0.01,0.242zm6.01 2.759c0.553,0 1.001,0.447 1.001,1 0,0.552 -0.448,1 -1.001,1 -0.552,0 -1,-0.448 -1,-1 0,-0.553 0.448,-1 1,-1zm-9 -4.001c0.553,0 1,0.448 1,1 0,0.553 -0.447,1 -1,1 -0.552,0 -1,-0.447 -1,-1 0,-0.552 0.448,-1 1,-1zm1 -10c0.553,0 1,0.447 1,1 0,0.552 -0.447,1 -1,1 -0.552,0 -1,-0.448 -1,-1 0,-0.553 0.448,-1 1,-1z'/> </svg>");
    //    }
    //
    //    &.tool-add-polygon {
    //        background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgb(80, 80, 80)' d='M9.717 4.728l4.368 -0.437c0.318,-1.314 1.503,-2.291 2.916,-2.291 1.656,0 2.999,1.343 2.999,3 0,1.448 -1.026,2.657 -2.391,2.938l-1.252 9.387c0.975,0.495 1.643,1.507 1.643,2.676 0,1.656 -1.343,3 -3,3 -1.656,0 -2.999,-1.344 -2.999,-3 0,-0.082 0.003,-0.162 0.009,-0.242l-3.827 -1.701c-0.547,0.58 -1.323,0.942 -2.183,0.942 -1.657,0 -3,-1.343 -3,-3 0,-1.412 0.977,-2.597 2.291,-2.915l0.437 -4.368c-1.021,-0.478 -1.728,-1.515 -1.728,-2.717 0,-1.657 1.343,-3 3,-3 1.202,0 2.239,0.707 2.717,1.728zm-3.717 10.272c0.552,0 1,0.448 1,1 0,0.553 -0.448,1.001 -1,1.001 -0.552,0 -1,-0.448 -1,-1.001 0,-0.552 0.448,-1 1,-1zm9 4.001c0.553,0 1,0.447 1,1 0,0.552 -0.447,1 -1,1 -0.552,0 -1,-0.448 -1,-1 0,-0.553 0.448,-1 1,-1zm-8 -14.001c0.553,0 1,0.448 1,1 0,0.552 -0.447,1 -1,1 -0.552,0 -1,-0.448 -1,-1 0,-0.552 0.448,-1 1,-1zm0.272 8.283c1.021,0.479 1.728,1.515 1.728,2.717 0,0.082 -0.003,0.162 -0.01,0.242l3.827 1.701c0.415,-0.44 0.961,-0.754 1.575,-0.88l1.252 -9.387c-0.596,-0.302 -1.077,-0.798 -1.361,-1.404l-4.368 0.436c-0.263,1.088 -1.119,1.944 -2.207,2.207l-0.436 4.368zm9.729 -9.283c0.552,0 1,0.447 1,1 0,0.552 -0.448,1 -1,1 -0.553,0 -1.001,-0.448 -1.001,-1 0,-0.553 0.448,-1 1.001,-1z'/> </svg>");
    //    }
    //
    //    &.tool-add-direction {
    //        background-image: url("data:image/svg+xml;charset=utf-8,<svg aria-hidden='true' focusable='false' data-prefix='fas' data-icon='directions' class='svg-inline--fa fa-directions fa-w-16' role='img' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'><path fill='rgb(80, 80, 80)' d='M502.61 233.32L278.68 9.39c-12.52-12.52-32.83-12.52-45.36 0L9.39 233.32c-12.52 12.53-12.52 32.83 0 45.36l223.93 223.93c12.52 12.53 32.83 12.53 45.36 0l223.93-223.93c12.52-12.53 12.52-32.83 0-45.36zm-100.98 12.56l-84.21 77.73c-5.12 4.73-13.43 1.1-13.43-5.88V264h-96v64c0 4.42-3.58 8-8 8h-32c-4.42 0-8-3.58-8-8v-80c0-17.67 14.33-32 32-32h112v-53.73c0-6.97 8.3-10.61 13.43-5.88l84.21 77.73c3.43 3.17 3.43 8.59 0 11.76z'></path></svg>");
    //    }
    //}
}
